Skip to main content
`Ctrl`+`K`

# KSPGetConvergenceTest

Gets the function to be used to determine convergence.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetConvergenceTest(KSP ksp, PetscErrorCode (**converge)(KSP ksp, PetscInt it, PetscReal rnorm, KSPConvergedReason *reason, void *ctx), void **ctx, PetscErrorCode (**destroy)(void *ctx))

Logically Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Output Parameters

- converge - pointer to convergence test function

- ctx - context for private data for the convergence routine (may be `NULL`)

- destroy - a routine for destroying the context (may be `NULL`)

## Calling sequence of `converge`

- ksp - iterative solver obtained from `KSPCreate()`

- it - iteration number

- rnorm - (estimated) 2-norm of (preconditioned) residual

- reason - the reason why it has converged or diverged

- ctx - optional convergence context, as set by `KSPSetConvergenceTest()`

## Calling sequence of `destroy`

- ctx - the convergence test context

## See Also

KSP: Linear System Solvers, `KSP`, `KSPConvergedDefault()`, `KSPGetConvergenceContext()`, `KSPSetTolerances()`, `KSPSetConvergenceTest()`, `KSPGetAndClearConvergenceTest()`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages